Package org.apache.tomcat.websocket.server

## Class WsSessionListener

- java.lang.Object
- - org.apache.tomcat.websocket.server.WsSessionListener

- All Implemented Interfaces:
    `java.util.EventListener`, `HttpSessionListener`

      public class WsSessionListener
      extends java.lang.Object
      implements HttpSessionListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WsSessionListener​(WsServerContainer wsServerContainer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `sessionCreated​(HttpSessionEvent se)` | Notification that a session was created.
    `void` | `sessionDestroyed​(HttpSessionEvent se)` | Notification that a session is about to be invalidated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsSessionListener

          public WsSessionListener​(WsServerContainer wsServerContainer)

  - ### Method Detail

    - #### sessionCreated

          public void sessionCreated​(HttpSessionEvent se)

      Description copied from interface: `javax.servlet.http.HttpSessionListener`
      Notification that a session was created.
      Specified by:
        `sessionCreated` in interface `HttpSessionListener`
      Parameters:
        `se` - the notification event

    - #### sessionDestroyed

          public void sessionDestroyed​(HttpSessionEvent se)

      Description copied from interface: `javax.servlet.http.HttpSessionListener`
      Notification that a session is about to be invalidated.
      Specified by:
        `sessionDestroyed` in interface `HttpSessionListener`
      Parameters:
        `se` - the notification event